import AuthProvider from '../lib/auth/AuthProvider';
import Header from '../components/header';
import Footer from '../components/footer';
import { AntdRegistry } from '@ant-design/nextjs-registry';

export const metadata = {
  title: 'Next.js',
  description: 'Generated by Next.js',
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="vi">
      <body>
        <AntdRegistry>
          <AuthProvider>
            {children}
          </AuthProvider>
        </AntdRegistry>
      </body>
    </html>
  );
}
